Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs	(revision 83)
@@ -477,10 +595,10 @@
             this.label7.BackColor = System.Drawing.Color.White;
             this.label7.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label7.Font = new System.Drawing.Font("Century", 14F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.label7.Location = new System.Drawing.Point(133, 39);
+            this.label7.Location = new System.Drawing.Point(8, 6);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(40, 27);
-            this.label7.TabIndex = 119;
+            this.label7.TabIndex = 132;
             this.label7.Text = "99";
             this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs	(revision 83)
@@ -652,9 +2255,9 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1344, 677);
+            this.Controls.Add(this.panel2);
+            this.Controls.Add(this.tabControl1);
             this.Controls.Add(this.panel3);
-            this.Controls.Add(this.pnlWork);
-            this.Controls.Add(this.btnOtherProc);
             this.Controls.Add(this.btnLineDel);
             this.Controls.Add(this.btnLineAdd);
             this.Controls.Add(this.btnDataDelete);
@@ -669,12 +2272,17 @@
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
             this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmDRWork_FormClosing);
             this.Load += new System.EventHandler(this.FrmDRWork_Load);
-            this.pnlWork.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
             this.panel3.ResumeLayout(false);
             this.panel3.PerformLayout();
             this.pnlApproval.ResumeLayout(false);
             this.pnlApprovalButton.ResumeLayout(false);
+            this.tabControl1.ResumeLayout(false);
+            this.tabPage1.ResumeLayout(false);
+            this.tabPage2.ResumeLayout(false);
+            this.panel2.ResumeLayout(false);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvTransport02)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvTransport01)).EndInit();
             this.ResumeLayout(false);
 
         }
@@ -687,9 +2295,6 @@
         private System.Windows.Forms.Button btnDataDelete;
         private System.Windows.Forms.Button btnDataEntry;
         private System.Windows.Forms.Button btnEnd;
-        private System.Windows.Forms.Button btnOtherProc;
-        private System.Windows.Forms.Panel pnlWork;
-        private CustomControls.DataGridViewEX dgvAllDisplay;
         private System.Windows.Forms.Panel panel3;
         private System.Windows.Forms.Panel pnlApproval;
         private System.Windows.Forms.Label lblApprovalCount;
@@ -699,27 +2304,141 @@
         private System.Windows.Forms.Button btnOnApproval;
         private System.Windows.Forms.Button btnNotApproval;
         private System.Windows.Forms.Button btnOnHold;
-        private System.Windows.Forms.Label label5;
         private CustomControls.ComboBoxEX comboBox1;
         private System.Windows.Forms.Label label6;
-        private System.Windows.Forms.Label label4;
+        private CustomControls.ComboBoxEX cmbDepartment;
+        private System.Windows.Forms.Label label2;
+        private CustomControls.ComboBoxEX cmbConstructionPerson;
         private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.TabControl tabControl1;
+        private System.Windows.Forms.TabPage tabPage1;
+        private CustomControls.DataGridViewEX dgvAllDisplay;
+        private System.Windows.Forms.TabPage tabPage2;
+        private System.Windows.Forms.Label label14;
+        private System.Windows.Forms.Label label13;
+        private System.Windows.Forms.Label label12;
         private System.Windows.Forms.Label label10;
         private System.Windows.Forms.Label label11;
         private System.Windows.Forms.Label label9;
         private System.Windows.Forms.Label label8;
         private System.Windows.Forms.Label label7;
-        private System.Windows.Forms.Label label12;
-        private System.Windows.Forms.Label label13;
-        private CustomControls.ComboBoxEX cmbDepartment;
-        private System.Windows.Forms.Label label14;
-        private CustomControls.ComboBoxEX cmbConstructionPerson;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label label4;
         private System.Windows.Forms.Label label15;
-        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Label label59;
+        private System.Windows.Forms.Label label60;
+        private System.Windows.Forms.Label label65;
+        private System.Windows.Forms.Label label67;
+        private System.Windows.Forms.Label label68;
+        private System.Windows.Forms.Label label69;
+        private System.Windows.Forms.Label label70;
+        private System.Windows.Forms.Label label71;
+        private System.Windows.Forms.Label label72;
+        private System.Windows.Forms.Label label73;
+        private System.Windows.Forms.Label label74;
+        private CustomControls.DataGridViewEX dgvTransport02;
+        private System.Windows.Forms.Label lblKM;
+        private System.Windows.Forms.Label lblCount04;
+        private System.Windows.Forms.Label lblCount03;
+        private System.Windows.Forms.Label lblCount02;
+        private System.Windows.Forms.Label lblCount01;
+        private System.Windows.Forms.Label label64;
+        private System.Windows.Forms.Label label63;
+        private CustomControls.DataGridViewEX dgvTransport01;
+        private System.Windows.Forms.Label label16;
+        private System.Windows.Forms.Label label19;
+        private System.Windows.Forms.Label label20;
+        private System.Windows.Forms.Label label21;
+        private System.Windows.Forms.Label label22;
+        private System.Windows.Forms.Label label23;
+        private System.Windows.Forms.Label label24;
+        private System.Windows.Forms.Label label25;
+        private System.Windows.Forms.Label label55;
+        private System.Windows.Forms.Label label61;
+        private System.Windows.Forms.Label label62;
+        private System.Windows.Forms.Label lblDspKm3;
+        private System.Windows.Forms.Label label54;
+        private System.Windows.Forms.Label label53;
+        private System.Windows.Forms.Label label50;
+        private System.Windows.Forms.Label lblMonthlyTotal05;
+        private System.Windows.Forms.Label label52;
+        private System.Windows.Forms.Label label47;
+        private System.Windows.Forms.Label lblMonthlyTotal01;
+        private System.Windows.Forms.Label label49;
+        private System.Windows.Forms.Label label38;
+        private System.Windows.Forms.Label lblMonthlyTotal04;
+        private System.Windows.Forms.Label label40;
+        private System.Windows.Forms.Label label41;
+        private System.Windows.Forms.Label lblMonthlyTotal03;
+        private System.Windows.Forms.Label label43;
+        private System.Windows.Forms.Label label44;
+        private System.Windows.Forms.Label lblMonthlyTotal02;
+        private System.Windows.Forms.Label label46;
+        private System.Windows.Forms.Label label35;
+        private System.Windows.Forms.Label lblMonthlyCnt03;
+        private System.Windows.Forms.Label label37;
+        private System.Windows.Forms.Label label32;
+        private System.Windows.Forms.Label lblMonthlyCnt02;
+        private System.Windows.Forms.Label label34;
+        private System.Windows.Forms.Label label29;
+        private System.Windows.Forms.Label lblMonthlyCnt01;
+        private System.Windows.Forms.Label label27;
+        private System.Windows.Forms.Label label30;
+        private System.Windows.Forms.Label lblDspCosts4;
+        private System.Windows.Forms.Label label28;
+        private System.Windows.Forms.Label lblDspCosts3;
+        private System.Windows.Forms.Label label26;
+        private System.Windows.Forms.Label lblDspCosts2;
+        private System.Windows.Forms.Label label75;
+        private System.Windows.Forms.Label lblDspCosts1;
+        private System.Windows.Forms.Label label76;
+        private System.Windows.Forms.Label label77;
+        private System.Windows.Forms.Label label78;
+        private System.Windows.Forms.Label label79;
+        private System.Windows.Forms.Label label81;
+        private System.Windows.Forms.Label label82;
+        private System.Windows.Forms.Label label83;
+        private System.Windows.Forms.Label label84;
+        private System.Windows.Forms.Label label85;
+        private System.Windows.Forms.Label label86;
+        private System.Windows.Forms.Label lblDspKm2;
+        private System.Windows.Forms.Label lblDspKm1;
+        private System.Windows.Forms.Label label87;
+        private System.Windows.Forms.Label label88;
+        private System.Windows.Forms.Label label45;
+        private System.Windows.Forms.Label label31;
+        private System.Windows.Forms.Label label33;
+        private System.Windows.Forms.Label label42;
+        private System.Windows.Forms.Label label39;
+        private System.Windows.Forms.Label lblCount05;
+        private System.Windows.Forms.Label label36;
+        private System.Windows.Forms.Label label17;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column10;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn4;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn1;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn2;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column13;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column14;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column9;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn8;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn5;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn6;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column11;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column12;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn7;
+        private System.Windows.Forms.Panel panel2;
+        private System.Windows.Forms.Button btnWorkingList;
+        private System.Windows.Forms.Label label18;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 83)
@@ -32,22 +32,47 @@
         #endregion
 
         #region 定数
-        #region グリッド表示カラム
+        #region 自プロセス名称
         /// <summary>
-        /// グリッドカラム
+        /// 自プロセス名称
         /// </summary>
-        private enum GridColumn
+        private const string s_MyProcessName = "出勤管理承認";
+        #endregion
+
+        #region 出勤日報グリッドカラム
+        /// <summary>
+        /// 出勤日報グリッドカラム
+        /// </summary>
+        private enum GridColumn01
         {
             DispDay = 0,
-            Day,
+            AttendanceDate,
             WeekString,
-            ConstructionCode,
-            ConstructionName,
+            ActionResult,
             OverTimes,
             Comment,
         }
         #endregion
 
+        #region 通勤交通費グリッドカラム
+        /// <summary>
+        /// 通勤交通費グリッドカラム
+        /// </summary>
+        private enum GridColumn02
+        {
+            DispDay = 0,
+            AttendanceDate,
+            StartNumber,
+            CompNumber,
+            TotalDistance,
+            OfficeGo,
+            OfficeOut,
+            TrancePayGo,
+            TrancePayOut,
+            WareHouse,
+        }
+        #endregion
+
         #region 表示コントロール
         /// <summary>
         /// 表示コントロール
@@ -82,13 +107,35 @@
             /// 残業時間
             /// </summary>
             Overtime,
+            /// <summary>
+            /// 申請受付番号
+            /// </summary>
+            OrderNo,
+
+            KmTodayTotal,
+            OfficeTodayCnt01,
+            OfficeTodayCnt02,
+            TrancePayCnt01,
+            TrancePayCnt02,
+            WarehouseTodayCnt01,
+            KmMonthTotal01,
+            KmMonthTotal02,
+            KmMonthTotal03,
+            UnitPrice01,
+            UnitPrice02,
+            UnitPrice03,
+            UnitPrice04,
+            MonthCnt01,
+            MonthCnt02,
+            MonthCnt03,
+            MonthTotal01,
+            MonthTotal02,
+            MonthTotal03,
+            MonthTotal04,
+            MonthTotal05,
         }
         #endregion
 
-        /// ラベルコントロール保持配列
-        /// </summary>
-        private Control[] m_DspControl;
-
         #endregion
 
         #region 変数
@@ -108,9 +155,13 @@
         private int m_PersonCode = 0;
 
         /// <summary>
-        /// 対象年月
+        /// 申請年月日
         /// </summary>
-        private DateTime m_ReportDate = DateTime.Now;
+        private DateTime m_OrderDate = DateTime.Now;
+        /// <summary>
+        /// 申請№
+        /// </summary>
+        private int m_OrderNo = 0;
 
         /// <summary>
         /// 終了ボタン押下フラグ
@@ -122,6 +173,47 @@
         /// </summary>
         private bool m_EditLock = false;
 
+        /// ラベルコントロール保持配列
+        /// </summary>
+        private Control[] m_DspControl;
+
+        /// <summary>
+        /// 月最終日
+        /// </summary>
+        private int m_LastDays = 0;
+
+        /// <summary>
+        /// 休日数
+        /// </summary>
+        private int m_HolidayCount = 0;
+
+        /// <summary>
+        /// ガソリン代（1キロ）
+        /// </summary>
+        private int m_FuelCost = 0;
+        /// <summary>
+        /// 事務所距離
+        /// </summary>
+        private double m_MyOfficeDistance = 0;
+        /// <summary>
+        /// 資材置場距離
+        /// </summary>
+        private double m_MyWareHouseDistance = 0;
+        /// <summary>
+        /// 通勤交通費（公認分）
+        /// </summary>
+        private int m_MyTransportCosts = 0;
+
+        /// <summary>
+        /// 作成状態確認画面
+        /// </summary>
+        private FrmDRWorkList m_frmDRWorkList = null;
+
+        /// <summary>
+        /// 承認済みフラグ
+        /// </summary>
+        //private bool m_ApprovalFlag = false;
+
         #endregion
 
         #region プロパティ
@@ -137,10 +229,10 @@
         /// <summary>
         /// 対象年月
         /// </summary>
-        public DateTime ReportDate
+        public DateTime OrdertDate
         {
-            get { return m_ReportDate; }
-            set { m_ReportDate = value; }
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
         }
 
         /// <summary>
@@ -174,6 +266,9 @@
         {
             try
             {
+                // 個人データ取得
+                SetAttendanceCosts();
+
                 // 表示オブジェクトの取得
                 SetDisplayObject();
 
@@ -189,9 +284,40 @@
                 // コンボボックス初期表示
                 InitCombBox();
 
+                // ログイン者のセット
+                InitDepPersonCode();
+
+                // 選択値のセット
+                SetVariableValue();
+
                 // 初期表示
                 InitDataLoad();
 
+                // 参照時は変更できない
+                if (m_EditLock)
+                {
+                    SeeModeLock();
+                }
+
+                // 承認画面の「承認対象データを見る」からの起動時は承認ボタンの表示がある
+                bool bApproval = ClsApprovalPermission.ExceApprovalScreen((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+                if (bApproval)
+                {
+                    // 承認対象コードを取得する
+                    int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                    // 工事案件の管理部署を取得する
+                    int DepartmentCode = ClsApprovalPermission.GetFromPersonAndApprovalTheDepartment(m_PersonCode, ApprovalCode, m_OrderDate, m_OrderNo);
+                    // 案件に対して申請がされているかを確認する
+                    bool Pettition = ClsApprovalPermission.CheckPersonPetition(m_PersonCode, ApprovalCode, m_OrderDate, m_OrderNo);
+                    // ログイン者が承認者かを確認する
+                    bool Approvaler = ClsApprovalPermission.CheckUserForApprover(ApprovalCode, DepartmentCode);
+                    // 申請中でログイン者が承認者の場合は承認ボタンを表示する
+                    if (Pettition && Approvaler)
+                    {
+                        pnlApprovalButton.Visible = true;
+                    }
+                }
+
                 // 初期表示フラグOFF
                 m_bInitFlg = false;
             }
@@ -202,6 +328,73 @@
         }
         #endregion
 
+        #region データ登録ボタン押下
+        /// <summary>
+        /// データ登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            // データ登録処理
+            if (!DataEntryProcess()) return;
+
+            CommonMotions.EntryEndMessage("出勤日報データ");
+
+            m_bChengeAns = false;
+            bool bSelFlg = false;
+
+            int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+            if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
+
+            // 一般ユーザーは登録後終了する
+            if (bSelFlg)
+            {
+                this.Close();
+            }
+            else
+            {
+                // 対象がコンボボックスデータにあればセットする
+                if (SearchDepartmentCombBoxItem(CommonMotions.LoginUserData.DepartmentCode))
+                    cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                if (SearchPersonCombBoxItem(CommonMotions.LoginUserData.PersonCode))
+                    cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+            }
+        }
+        #endregion
+
+        #region データ削除ボタン押下
+        /// <summary>
+        /// データ削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            // データ削除処理
+            if (!RemoveGridData()) return;
+
+            CommonMotions.RemoveEndMessage("出勤日報データ");
+
+            m_bChengeAns = false;
+            bool bSelFlg = false;
+
+            int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+            if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
+
+            // 一般ユーザーは登録後終了する
+            if (bSelFlg)
+            {
+                this.Close();
+            }
+            else
+            {
+                cmbDepartment.SelectedIndex = -1;
+                cmbConstructionPerson.SelectedIndex = -1;
+            }
+        }
+        #endregion
+
         #region 終了ボタンクリック
         /// <summary>
         /// 終了ボタンクリック
@@ -233,6 +426,9 @@
                         return;
                     }
                 }
+                // 作成確認一覧が表示されていればクローズする
+                if (m_frmDRWorkList != null) m_frmDRWorkList.Close();
+
                 // 終了ボタンがONならば前プロセスに戻る
                 if (m_CloseingProcessOn) ClsExcute.BackProcess();
             }
@@ -265,7 +461,6 @@
         /// <param name="e"></param>
         private void btnLineDel_Click(object sender, EventArgs e)
         {
-
             // 行削除処理を行った
             DeleteLineData();
             m_bChengeAns = true;
@@ -272,17 +467,16 @@
         }
         #endregion
 
-        #region 営業期コンボボックス変更
+        int cmbDepartment_index = -1;
+        #region 部署コンボボックス変更前取得
         /// <summary>
-        /// 営業期変更
+        /// 部署コンボボックス変更前取得
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        private void cmbDepartment_Enter(object sender, EventArgs e)
         {
-            if (m_bInitFlg) return;
-            // データ表示
-            InitDispData();
+            cmbDepartment_index = cmbDepartment.SelectedIndex;
         }
         #endregion
 
@@ -296,17 +490,47 @@
         {
             if (m_bInitFlg) return;
 
-            // 担当者コンボボックス変更
-            //SetcombBoxPerson();
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに部署を変更しますか？。"
+                                , "部署変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    cmbDepartment.SelectedIndex = cmbDepartment_index;
+                    return;
+                }
+            }
 
+            // 担当者コンボボックスをセットする
+            SetcombBoxPerson();
+
+            // 変数を取り込む
+            SetVariableValue();
+
             // データ表示
-            InitDispData();
+            InitDataLoad();
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
         }
         #endregion
 
+        int cmbConstructionPerson_index = -1;
+        #region 担当者コンボボックス変更前取得
+        /// <summary>
+        /// 担当者コンボボックス変更前取得
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbConstructionPerson_Enter(object sender, EventArgs e)
+        {
+            cmbConstructionPerson_index = cmbConstructionPerson.SelectedIndex;
+        }
+        #endregion
+
         #region 担当者コンボボックス変更
         /// <summary>
-        /// 担当者変更
+        /// 担当者コンボボックス変更
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
